Bug 173671 - When Mission Control closes fullscreen window, allow media element to update its state.
Summary: When Mission Control closes fullscreen window, allow media element to update ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Mac Unspecified
: P2 Normal
Assignee: Jeremy Jones
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-06-21 15:24 PDT by Jeremy Jones
Modified: 2017-11-02 11:45 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.01 KB, patch)
2017-06-21 15:30 PDT, Jeremy Jones
eric.carlson: review+
Details | Formatted Diff | Diff
Patch for landing. (2.01 KB, patch)
2017-06-26 09:31 PDT, Jeremy Jones
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Jones 2017-06-21 15:24:54 PDT
When Mission Control closes fullscreen window, allow media element to update its state.
Comment 1 Jeremy Jones 2017-06-21 15:25:59 PDT
<rdar://problem/32892671>
Comment 2 Jeremy Jones 2017-06-21 15:30:00 PDT
Created attachment 313556 [details]
Patch
Comment 3 Eric Carlson 2017-06-21 18:26:05 PDT
Comment on attachment 313556 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=313556&action=review

> Source/WebKit2/ChangeLog:10
> +        meid element that fullscreen has exited.

Not: “meid”
Comment 4 Jeremy Jones 2017-06-26 09:31:19 PDT
Created attachment 313844 [details]
Patch for landing.
Comment 5 WebKit Commit Bot 2017-06-26 11:00:43 PDT
Comment on attachment 313844 [details]
Patch for landing.

Clearing flags on attachment: 313844

Committed r218813: <http://trac.webkit.org/changeset/218813>